## neutron-vpnaas-dashboard 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
horizon>=14.0.0.0b2 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0

=== debian/changelog ===
neutron-vpnaas-dashboard (1.4.0-2) unstable; urgency=medium

  * Redesign neutron-vpnaas-dashboard:
      - Enabled files now in /etc/openstack-dashboard/
      - Removed post scripts which is now achieved by a trigger
      - Update copyright

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 17 Jan 2019 18:55:56 +0100

neutron-vpnaas-dashboard (1.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #912558).

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 01 Nov 2018 11:06:29 +0100

=== debian/control ===
Source: neutron-vpnaas-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-coverage,
 python3-hacking (>= 0.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0),
 python3-mock (>= 2.0.0),
 python3-neutronclient (>= 1:6.7.0),
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-vpnaas-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-vpnaas-dashboard
Homepage: https://github.com/openstack/neutron-vpnaas-dashboard

Package: python3-neutron-vpnaas-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0),
 python3-neutronclient (>= 1:6.7.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack VPN as a Service - dashboard plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron VPNaaS provides Virtual Private Network as a Service (VPNaaS)
 capabilities to Neutron.
 .
 This package contains the Neutron VPNaaS OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/neutron_vpnaas_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Remove configs from /usr/lib/python3/dist-packages
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/neutron_vpnaas_dashboard/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=neutron_vpnaas_dashboard.test.settings \
			python3 -m coverage run \
			$(CURDIR)/manage.py test neutron_vpnaas_dashboard --settings=neutron_vpnaas_dashboard.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## neutron-vpnaas-dashboard 1.5.1

=== debian/changelog ===
neutron-vpnaas-dashboard (1.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Add myself as uploader.
  * Fixed (build-)depends for this release.
  * Removed package versions when satisfied in Buster.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 12:33:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Michal Arbet <michal.arbet@ultimum.io>,
+ Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-coverage,
- python3-hacking (>= 0.12.0),
- python3-openstackdocstheme (>= 1.18.1),
- python3-pbr (>= 2.0.0),
+ python3-hacking,
+ python3-openstackdocstheme,
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:14.0.0),
- python3-mock (>= 2.0.0),
- python3-neutronclient (>= 1:6.7.0),
+ openstack-dashboard (>= 3:15.0.0~),
+ python3-mock,
+ python3-neutronclient,
 Standards-Version: 4.1.5
 Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-vpnaas-dashboard.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-vpnaas-dashboard
@@ -27,8 +28,8 @@
 Package: python3-neutron-vpnaas-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0),
- python3-neutronclient (>= 1:6.7.0),
+ openstack-dashboard (>= 3:15.0.0),
+ python3-neutronclient,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack VPN as a Service - dashboard plugin

## neutron-vpnaas-dashboard 1.6.0

=== requirements.txt ===
--- 
+++ 
@@ -3,5 +3,5 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-horizon>=14.0.0.0b2 # Apache-2.0
+horizon>=14.0.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
neutron-vpnaas-dashboard (1.6.0-2) unstable; urgency=medium

  * Rebuild source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Nov 2019 21:09:36 +0100

neutron-vpnaas-dashboard (1.6.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: Update for train

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 09 Oct 2019 15:59:35 +0200

neutron-vpnaas-dashboard (1.5.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michal Arbet ]
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 19 Aug 2019 12:57:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michal Arbet <michal.arbet@ultimum.io>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -17,7 +17,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:15.0.0~),
+ openstack-dashboard (>= 3:16.0.0~rc1),
  python3-mock,
  python3-neutronclient,
 Standards-Version: 4.1.5
@@ -28,7 +28,7 @@
 Package: python3-neutron-vpnaas-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:15.0.0),
+ openstack-dashboard (>= 3:16.0.0~rc1),
  python3-neutronclient,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,8 @@
 	# Move config files to standard location
 	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
 
-	# Move config enabled
-	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/neutron_vpnaas_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
-
-	# Remove configs from /usr/lib/python3/dist-packages
-	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/neutron_vpnaas_dashboard/enabled
+	# Copy config enabled to openstack-dashboard enabled location
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/neutron_vpnaas_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
 
 	dh_install
 	dh_missing --fail-missing

## neutron-vpnaas-dashboard 2.0.0

=== debian/changelog ===
neutron-vpnaas-dashboard (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 17:51:08 +0200

neutron-vpnaas-dashboard (2.0.0~rc1-2) unstable; urgency=medium

  * Move the package to the horizon-plugins subgroup in Salsa.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:27:12 +0200

neutron-vpnaas-dashboard (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 10:50:10 +0200

## neutron-vpnaas-dashboard 3.0.0

=== debian/changelog ===
neutron-vpnaas-dashboard (3.0.0-2) unstable; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jul 2021 12:06:58 +0200

neutron-vpnaas-dashboard (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 15:33:01 +0200

neutron-vpnaas-dashboard (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2020 08:46:16 +0200

=== debian/control ===
--- 
+++ 
@@ -17,21 +17,23 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:16.0.0~rc1),
+ openstack-dashboard (>= 3:17.1.0),
  python3-mock,
  python3-neutronclient,
 Standards-Version: 4.1.5
-Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-vpnaas-dashboard.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-vpnaas-dashboard
+Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/neutron-vpnaas-dashboard.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/neutron-vpnaas-dashboard
 Homepage: https://github.com/openstack/neutron-vpnaas-dashboard
 
 Package: python3-neutron-vpnaas-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:16.0.0~rc1),
+ openstack-dashboard (>= 3:17.1.0),
  python3-neutronclient,
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python3-django-horizon (<< 3:18.6.2-4~),
 Description: OpenStack VPN as a Service - dashboard plugin
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as

## neutron-vpnaas-dashboard 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,5 +3,5 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-horizon>=14.0.0 # Apache-2.0
+horizon>=17.1.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0

=== debian/changelog ===
neutron-vpnaas-dashboard (5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:30:52 +0200

neutron-vpnaas-dashboard (5.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:53:13 +0200

neutron-vpnaas-dashboard (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (build-)depends on horizon >= 3:20.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Sep 2021 15:01:40 +0200

neutron-vpnaas-dashboard (4.0.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:27:45 +0200

neutron-vpnaas-dashboard (4.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 11:52:08 +0200

neutron-vpnaas-dashboard (4.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:34:16 +0200

neutron-vpnaas-dashboard (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 13:31:03 +0200

neutron-vpnaas-dashboard (4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when statisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 21:25:31 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:17.1.0),
+ openstack-dashboard (>= 3:20.1.0),
  python3-mock,
  python3-neutronclient,
 Standards-Version: 4.1.5
@@ -28,12 +28,12 @@
 Package: python3-neutron-vpnaas-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:17.1.0),
+ openstack-dashboard (>= 3:20.1.0),
  python3-neutronclient,
  ${misc:Depends},
  ${python3:Depends},
 Breaks:
- python3-django-horizon (<< 3:18.6.2-4~),
+ python3-django-horizon (<< 3:19.2.0-2~),
 Description: OpenStack VPN as a Service - dashboard plugin
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as

=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,9 @@
 		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
 	done
 
-	# Move config files to standard location
-	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
-
 	# Copy config enabled to openstack-dashboard enabled location
-	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/neutron_vpnaas_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/neutron_vpnaas_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
 
 	dh_install
 	dh_missing --fail-missing

## neutron-vpnaas-dashboard 6.0.0

=== debian/changelog ===
neutron-vpnaas-dashboard (6.0.0-2) unstable; urgency=medium

  * Add Django 4 compat patches (Closes: #1015037):
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Jul 2022 23:52:37 +0200

neutron-vpnaas-dashboard (6.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:49:10 +0200

neutron-vpnaas-dashboard (6.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 14:07:44 +0200

neutron-vpnaas-dashboard (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 11:50:49 +0100

## neutron-vpnaas-dashboard 7.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
horizon>=18.3.1 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0

=== debian/changelog ===
neutron-vpnaas-dashboard (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 08:39:28 +0200

neutron-vpnaas-dashboard (7.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 04:18:18 +0200

neutron-vpnaas-dashboard (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed django-4-* patches applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 10:23:22 +0200

## neutron-vpnaas-dashboard 8.0.0

=== debian/changelog ===
neutron-vpnaas-dashboard (8.0.0-2ubuntu1) mantic; urgency=medium

  * d/p/fix-test-failures-with-Django-4.x.patch: Fix unit tests
    that are failing with Django 4.2.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Sep 2023 17:18:46 -0400

neutron-vpnaas-dashboard (8.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:42:42 +0200

neutron-vpnaas-dashboard (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 16:57:04 +0100

neutron-vpnaas-dashboard (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Mar 2023 17:40:18 +0100

## neutron-vpnaas-dashboard 10.0.0

=== debian/changelog ===
neutron-vpnaas-dashboard (10.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.
  * d/p/*: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 16:06:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: neutron-vpnaas-dashboard
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Michal Arbet <michal.arbet@ultimum.io>,
  Thomas Goirand <zigo@debian.org>,

## neutron-vpnaas-dashboard 11.0.0~rc1

=== debian/changelog ===
neutron-vpnaas-dashboard (11.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 00:07:04 +0200

neutron-vpnaas-dashboard (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 12:55:04 +0200

neutron-vpnaas-dashboard (10.0.0-2) unstable; urgency=medium

  * Drop the extraneous python3-mock dependency (Closes: #1071013).

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2024 09:00:37 +0200

neutron-vpnaas-dashboard (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Drop use-repr-for-tests.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:39:08 +0200

neutron-vpnaas-dashboard (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add a -v flag when running tests.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Mar 2024 11:06:54 +0100

neutron-vpnaas-dashboard (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Add use-repr-for-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:56:57 +0200

neutron-vpnaas-dashboard (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 15:37:30 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf .coverage*
+	rm -rf .coverage* build *.egg-info
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -40,7 +40,7 @@
 			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
 			DJANGO_SETTINGS_MODULE=neutron_vpnaas_dashboard.test.settings \
 			python3 -m coverage run \
-			$(CURDIR)/manage.py test neutron_vpnaas_dashboard --settings=neutron_vpnaas_dashboard.test.settings ; \
+			$(CURDIR)/manage.py test neutron_vpnaas_dashboard --settings=neutron_vpnaas_dashboard.test.settings -v 3 ; \
 	done
 	## Delete __pycache__
 	find . -name __pycache__ -prune -exec rm -rf {} +;

## neutron-vpnaas-dashboard 11.0.0

=== debian/changelog ===
neutron-vpnaas-dashboard (11.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090449).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 12:37:03 +0100

neutron-vpnaas-dashboard (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2024 08:31:10 +0200

## neutron-vpnaas-dashboard 11.0.0+git2025020311.159f688

=== requirements.txt ===
--- 
+++ 
@@ -7,5 +7,5 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-horizon>=18.3.1 # Apache-2.0
+horizon>=23.4.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0

=== debian/changelog ===
neutron-vpnaas-dashboard (11.0.0+git2025020311.159f688-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop surplus BD's.
  * d/rules: Drop use of coverage during execution of tests.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Feb 2025 11:27:45 +0000

neutron-vpnaas-dashboard (11.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:59:50 +0100

neutron-vpnaas-dashboard (10.0.0+git2024081411.fca4889d-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Myles <myles.penner@canonical.com>  Thu, 15 Aug 2024 15:54:29 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-coverage,
  python3-hacking,
  python3-openstackdocstheme,
  python3-pbr,
@@ -19,7 +18,6 @@
  python3-sphinx,
 Build-Depends-Indep:
  openstack-dashboard (>= 3:20.1.0),
- python3-mock,
  python3-neutronclient,
 Standards-Version: 4.1.5
 Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/neutron-vpnaas-dashboard.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf .coverage* build *.egg-info
+	rm -rf .coverage*
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -39,8 +39,8 @@
 			NOSE_OPENSTACK_YELLOW=0.025 \
 			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
 			DJANGO_SETTINGS_MODULE=neutron_vpnaas_dashboard.test.settings \
-			python3 -m coverage run \
-			$(CURDIR)/manage.py test neutron_vpnaas_dashboard --settings=neutron_vpnaas_dashboard.test.settings -v 3 ; \
+			python3 \
+			$(CURDIR)/manage.py test neutron_vpnaas_dashboard --settings=neutron_vpnaas_dashboard.test.settings ; \
 	done
 	## Delete __pycache__
 	find . -name __pycache__ -prune -exec rm -rf {} +;

## neutron-vpnaas-dashboard 12.0.0~rc1

=== debian/changelog ===
neutron-vpnaas-dashboard (12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 22:00:08 +0100

neutron-vpnaas-dashboard (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 15 Mar 2025 18:12:46 +0100

## neutron-vpnaas-dashboard 12.0.0

=== debian/changelog ===
neutron-vpnaas-dashboard (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:13:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_clean:
 	dh_clean
-	rm -rf .coverage*
+	rm -rf .coverage* build *.egg-info
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -39,8 +39,8 @@
 			NOSE_OPENSTACK_YELLOW=0.025 \
 			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
 			DJANGO_SETTINGS_MODULE=neutron_vpnaas_dashboard.test.settings \
-			python3 \
-			$(CURDIR)/manage.py test neutron_vpnaas_dashboard --settings=neutron_vpnaas_dashboard.test.settings ; \
+			python3 -m coverage run \
+			$(CURDIR)/manage.py test neutron_vpnaas_dashboard --settings=neutron_vpnaas_dashboard.test.settings -v 3 ; \
 	done
 	## Delete __pycache__
 	find . -name __pycache__ -prune -exec rm -rf {} +;

## neutron-vpnaas-dashboard 13.0.0~rc1

=== debian/changelog ===
neutron-vpnaas-dashboard (13.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Tue, 30 Sep 2025 07:11:51 +0000

neutron-vpnaas-dashboard (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2025 09:05:42 +0200

neutron-vpnaas-dashboard (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 09:32:11 +0200

## neutron-vpnaas-dashboard 13.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
horizon>=23.4.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
neutron-vpnaas-dashboard (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 23:19:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: neutron-vpnaas-dashboard
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Michal Arbet <michal.arbet@ultimum.io>,
  Thomas Goirand <zigo@debian.org>,
@@ -11,13 +10,14 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
+ python3-coverage,
  python3-hacking,
  python3-openstackdocstheme,
  python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:20.1.0),
+ openstack-dashboard (>= 3:23.4.0),
  python3-neutronclient,
 Standards-Version: 4.1.5
 Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/neutron-vpnaas-dashboard.git
@@ -27,7 +27,7 @@
 Package: python3-neutron-vpnaas-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:20.1.0),
+ openstack-dashboard (>= 3:23.4.0),
  python3-neutronclient,
  ${misc:Depends},
  ${python3:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/neutron-vpnaas/tags .*/(\d[brc\d\.]+)\.tar\.gz
